<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaReportesMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>REPORTE DETALLE DE ATENCIÓN DE USUARIOS - SALAS DE LECTURA - SEDE SAN BORJA</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Salas de Lectura</li>
		<li>Reporte Detalle de Atención se Usuarios</li>
	</ui:define>
	<ui:define name="content">
        #{bandejaReportesMB.validarSesion()}
        #{bandejaReportesMB.iniciarReporteDetalleAccesosASala()}
	    <div class="row">
			<h:form id="frmReporte">
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Filtro de Búsqueda</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="cmbSala" value="Sala : " styleClass="control-label"></h:outputLabel><br/>
										<p:selectOneMenu id="cmbSala" required="false" value="#{bandejaReportesMB.filtroBase.idSala}" styleClass="form-control style-select" tabindex="3">
											<f:selectItem itemValue="0" itemLabel="---  Seleccione --- " />
											<f:selectItems value="#{bandejaReportesMB.listaSalas}" var="item" itemValue="#{item.idSala}" itemLabel="#{item.nombreSala}" />
										</p:selectOneMenu>
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteDesde" value="Desde : " styleClass="control-label"></h:outputLabel><br/>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaDesde}" id="fechaTramiteDesde" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaTramiteDesde" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteHasta" value="Hasta : " styleClass="control-label"></h:outputLabel><br/>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaHasta}" id="fechaTramiteHasta" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaTramiteHasta" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="cmbEstadoAsistencia" value="Estado de acceso: " styleClass="control-label"></h:outputLabel><br/>
										<p:selectOneMenu id="cmbEstadoAsistencia" required="false" value="#{bandejaReportesMB.filtroBase.estadoAsistencia}" styleClass="form-control style-select" tabindex="3">
											<f:selectItem itemValue="0" itemLabel="---  Seleccione --- " />
											<f:selectItem itemValue="Salida Estandar" itemLabel="Salida Estandar" />
											<f:selectItem itemValue="Ingreso" itemLabel="Ingreso" />
											<f:selectItem itemValue="Salida Regularizada" itemLabel="Salida Regularizada" />
										</p:selectOneMenu>
									</div>
								</div>							
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="cmbPersonalIngreso" value="Personal Ingreso : " styleClass="control-label"></h:outputLabel><br/>
										<p:selectOneMenu id="cmbPersonalIngreso" required="false" value="#{bandejaReportesMB.filtroBase.idTrajabadorIngreso}" styleClass="form-control style-select" tabindex="3">
											<f:selectItem itemValue="0" itemLabel="---  Seleccione --- " />
											<f:selectItems value="#{bandejaReportesMB.listaPersonalDAPI}" var="item" itemValue="#{item.id}" itemLabel="#{item.nombreCompleto} (#{item.usuario})" />
										</p:selectOneMenu>
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="cmbPersonalSalida" value="Personal Salida : " styleClass="control-label"></h:outputLabel><br/>
										<p:selectOneMenu id="cmbPersonalSalida" required="false" value="#{bandejaReportesMB.filtroBase.idTrajabadorSalida}" styleClass="form-control style-select" tabindex="3">
											<f:selectItem itemValue="0" itemLabel="---  Seleccione --- " />
											<f:selectItems value="#{bandejaReportesMB.listaPersonalDAPI}" var="item" itemValue="#{item.id}" itemLabel="#{item.nombreCompleto} (#{item.usuario})" />
										</p:selectOneMenu>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtNumDocumento" value="Documento Identidad: " styleClass="control-label" /><br/>
										<p:inputText id="txtNumDocumento" value="#{bandejaReportesMB.filtroBase.numeroDocumentoIdentidad}" maxlength="12" mask="99999999"	styleClass="form-control" style="text-transform:uppercase" tabindex="1" />
									</div>							
								</div>							
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtCodLector" value="Cod. Lector: " styleClass="control-label" /><br/>
										<p:inputText id="txtCodLector" value="#{bandejaReportesMB.filtroBase.codigoLector}" maxlength="12" mask="99999999"	styleClass="form-control"  style="text-transform:uppercase" tabindex="1" />
									</div>	
								</div>
							</div>															
							<br />
							<div class="row box-mb">
								<div	class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
									<p:commandButton id="idBuscar" value="Buscar"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{bandejaReportesMB.obtenerReporteDetalleAccesosASala}"
										update="frmReporte" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar"
										actionListener="#{bandejaReportesMB.limpiarFiltroReporteDetalleAccesosASala}"
										icon="icon-limpiar" update="frmReporte" ajax="true" />
										
									<p:commandButton styleClass="btn btn-default btn-sensitive btn-buscar" 
										value="Exportar" ajax="false" 
										actionListener="#{bandejaReportesMB.exportarReporteDetalleAccesosASala()}"
										update="frmReporte" />    										
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Registros
										Encontrados</b></label>
							</div>
						</div>
 
						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{bandejaReportesMB.listaReporteDetalleAccesoaSala}"
										rowKey="#{registro.id}" paginator="true" scrollable="true" 
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No existen registros">
										<p:column headerText="Fila" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.fila}" />
										</p:column>
										<p:column headerText="Nombre y Apellidos" style="width:40px;text-align:left;" >
											<h:outputText value="#{registro.nombreUsuario}" />
										</p:column>
										<p:column headerText="Doc. Identidad" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.tipoDocIdentidad}: #{registro.numeroDocIdentidad}" />
										</p:column>										
										<p:column headerText="Sexo" style="width:3px;text-aling:center;" >
											<h:outputText value="#{registro.sexo}" />
										</p:column>										
<!-- 										<p:column headerText="Cod.Lector" style="width:20px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.codBarrasLector}" /> -->
<!-- 										</p:column>										 -->
<!-- 										<p:column headerText="Tipo" style="width:20px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.tipoUsuario}" /> -->
<!-- 										</p:column>										 -->
<!-- 										<p:column headerText="Grado Instr." style="width:20px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.gradoInstruccion}" /> -->
<!-- 										</p:column>										 -->
<!-- 										<p:column headerText="Nacionalidad" style="width:20px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.nacionalidad}" /> -->
<!-- 										</p:column>			 -->
										<p:column headerText="Sala" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.nombreSala} (Piso #{registro.pisoSala})" />
										</p:column>
										<p:column headerText="Turno Ingreso" style="width:22px;text-aling:center;" >
											<h:outputText value="#{registro.turnoIngreso}" />
										</p:column>										
										<p:column headerText="Fecha Ingreso" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.fechaIngreso}" />
										</p:column>										
										<p:column headerText="Hora Ingreso" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.horaIngreso}" />
										</p:column>										
<!-- 										<p:column headerText="Turno Salida" style="width:22px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.turnoSalida}" /> -->
<!-- 										</p:column>										 -->
<!-- 										<p:column headerText="Fecha Salida" style="width:22px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.fechaSalida}" /> -->
<!-- 										</p:column>										 -->
										<p:column headerText="Hora Salida" style="width:22px;text-aling:center;" >
											<h:outputText value="#{registro.horaSalida}" />
										</p:column>										
										<p:column headerText="Ref. ingreso" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.userNameReferencistaIngreso}" />
										</p:column>
										<p:column headerText="Refer. salida" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.userNameReferencistaSalida}" />
										</p:column>										
										<p:column headerText="Estado asistencia" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.estadoAsistencia}" />
										</p:column>										
<!-- 										<p:column headerText="Motivo" style="width:30px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.descripcionSalidaMotivo}" /> -->
<!-- 										</p:column>										 -->
<!-- 										<p:column headerText="Anotaciones" style="width:30px;text-aling:center;" > -->
<!-- 											<h:outputText value="#{registro.salidaJustificación}" /> -->
<!-- 										</p:column>										 -->
									</p:dataTable>
								</div>
							</div>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>